/**********
 hellowx.h
 **********/

#include <wx/wx.h>

class HelloApp:public wxApp
{
public:
  virtual bool OnInit();
};

DECLARE_APP(HelloApp);

class AboutDialog:public wxDialog
{
public:
  AboutDialog();
};

class HelloFrame:public wxFrame
{
public:
  HelloFrame();
  void OnSave(wxCommandEvent &event);
  void OnOpen(wxCommandEvent &event);
  void OnQuit(wxCommandEvent &event);
  void OnAbout(wxCommandEvent &event);
private:
  wxMenuBar *m_ptrMenBar;
  wxTextCtrl *m_ptrText;
  wxMenu *m_ptrFileMenu, *m_ptrHelpMenu;

  enum {
    OPEN_EVT_ID = wxID_HIGHEST + 1,
    SAVE_EVT_ID,
    NEW_EVT_ID,
    QUIT_EVT_ID,
    ABOUT_EVT_ID
  };
  DECLARE_EVENT_TABLE();
};
